FCRONDYN(1)

NAME
fcrondyn - Dialoguer dynamiquement avec un démon fcron en cours d'exécution.

SYNOPSIS
fcrondyn [ -c fichier ] [ -i ] fcrondyn [ -c fichier ] -x commande fcrondyn [ -h ]

DESCRIPTION

Fcrondyn est un outil utilisateur conçu pour interagir avec un démon fcron en cours d'exécution. Il peut, par exemple, afficher les tâches utilisateur chargées par fcron, lancer l'une d'elles, modifier la « gentillesse » (Ndt : nice) d'une tâche en cours d'exécution, envoyer un signal à une tâche, etc.

OPTIONS

-i  Lancer fcrondyn en mode interactif. fcrondyn est également lancée en mode interactif lorsqu'aucune option n'est fournie.

-x commande
    Lancer la commande et revenir immédiatemment. Voir plus loin pour la syntaxe et la liste des commandes.

-c fichier
    Forcer fcrondyn à utiliser le fichier de configuration fichier à la place du fichier de configuration par défaut /usr/local/etc/fcron.conf. Pour interagir avec un processus fcron existant, fcrondyn doit utiliser le même fichier de configuration que le processus. De cette manière, plusieurs processus fcron peuvent être exécutés simultanément sur un même système.

-d  Démarrer en mode débogage. Dans ce mode, beaucoup de messages d'informations seront produits en sortie afin de vérifier que tout se passe bien.

-h  Afficher une brève description des options.

-V  Afficher un message d'information à propos de fcrondyn qui inclut sa version et la licence sous laquelle il est distribué.

DESCRIPTION DE LA COMMANDE

La syntaxe de la commande fcrondyn est la suivante :

    commande arg1 arg2 [...]

Un argument de la commande fcrondyn est d'un des types suivants : "TYPES D'ARGUMENT DES COMMANDES FCRONDYN"

utilisateur
    Un nom valide d'utilisateur.

jobid
    Un identifiant de tâche fourni par une des commandes ls* de fcrondyn (c.-à-d. un entier).

sig Un numéro de signal, ou son nom. Par exemple, « term » ou « 15 ».

gentillesse
    Une valeur de priorité de tâche. Une gentillesse est un entier compris entre -20 (plus forte priorité) et 19 (plus faible priorité). Seul le super-utilisateur peut utiliser une valeur négative pour cette option.

Enfin et surtout, les commandes suivantes sont reconnues (les arguments optionnels sont entre []) : "COMMANDES FCRONDYN VALIDES"

help

h   Afficher un message d'aide sur les commandes fcrondyn.

quit

q   En mode interactif, quitter fcrondyn.

ls [utilisateur]
    Afficher toutes les tâches de l'utilisateur. Lorsque ls est lancée par le super-utilisateur, tous les utilisateurs sont affichés à moins qu'un utilisateur n'ait été fourni en argument. Voir plus loin pour plus d'explications à propos des champs utilisés par les commandes ls*.

ls_lavgq [utilisateur]
    Identique à ls, mais afficher seulement les tâches qui sont dans la file d'attente« charge système » (Ndt : load-average queue) (c.-à-d. celles qui attendent une charge système plus faible pour pouvoir être lancées).

ls_serialq [utilisateur]
    Identique à ls, mais afficher seulement les tâches qui sont dans la file d'attente sérialisée (Ndt : serial queue) (c.-à-d. celles qui attendent que d'autres tâches soient achevées).

ls_exeq [utilisateur]
    Identique à ls, mais afficher seulement les tâches en cours d'exécution.

detail jobid
    Afficher les détails d'une tâche. jobid est la valeur fournie par ls.

runnow jobid
    Plutôt que d'attendre la date et heure de la prochaine exécution planifiée, lancer la tâche maintenant. La date et heure de la prochaine exécution sont modifiées comme si la tâche avait été lancée par l'ordonnanceur.

run jobid
    Lancer la tâche maintenant. Ses date et heure de prochaine exécution ne sont pas modifiées.

kill sig jobid
    Envoyer un signal à une tâche en cours d'exécution.

renice gentillesse jobid
    Modifier la priorité d'une tâche en cours d'exécution. "CHAMPS UTILISéS PAR LES COMMANDES DETAIL ET LS*"

ID  Numéro d'identification unique de la tâche.

USER
    Utilisateur auquel appartient la tâche.

PID Le pid de la tâche en cours d'exécution.

INDEX
    Index de la tâche dans la file d'attente séquentielle (c.-à-d. qu'elle sera lancée lorsque toutes les tâches dont l'index a une valeur plus petite auront été lancées).

R&Q Indique le nombre d'instances de la tâche en cours ou en attente d'exécution dans la file d'attente « série » (Ndt :serial queue) ou dans la file d'attente « charge système » (Ndt :lavg queue).

OPTIONS
    Indique les principales options positionnées de la tâche. L pour les tâches ne s'exécutant qu'en dessous d'une charge système donnée (Ndt : L pour Load average), LO si une seule instance de la tâche peut se trouver dans dans la file d'attente « charge système » (Ndt : LO pour Lavg Once), S pour les tâches s'exécutant séquentiellement (Ndt :S pour Serial), SO pour les tâches qui ne seront exécutées séquentiellement que pour leur prochaine exécution (Ndt : SO pour Serial Once), et ES pour les tâches dont plusieurs instances peuvent s'exécuter simultanément (Ndt : ES pour « allow the Execution of Several instances »).

LAVG
    Trois valeurs correspondant à la charge système moyennée sur 1, 5 et 15 minutes (dans cet ordre) en dessous de laquelle la tâche sera exécutée, sinon elle sera placée en attente d'une charge système adéquate (voir l'option lavg).

UNTIL
    Champ correspondant à l'option until.

STRICT
    Champ correspondant à l'option strict. Y pour yes, N pour non.

SCHEDULE
    Indique la date et l'heure prévues de la prochaine exécution de la tâche. Veuillez noter que l'heure indiquée est celle du système sur lequel tourne fcron, et non celle du fuseau horaire que l'utilisateur peut éventuellement définir avec l'option timezone de fcrontab).

CMD La commande à exécuter.

VALEURS RENVOYÉES

Fcrondyn renvoie 0 lorsqu'il quitte normalement, et 1 en cas d'erreur.

CONFORMITÉ

Devrait être conforme aux spécifications POSIX.

FICHIERS

/usr/local/etc/fcron.conf
    Fichier de configuration de fcron, fcrontab et fcrondyn : contient les chemins (répertoire spool, fichier pid) et les programmes par défaut à utiliser (éditeur, shell, etc.). Voir fcron.conf(5) pour plus de détails.

/usr/local/etc/fcron.allow
    Utilisateurs autorisés à utiliser fcrontab et fcrondyn (un seul nom par ligne, le nom spécial « all » signifiant tout le monde).

/usr/local/etc/fcron.deny
    Utilisateurs qui ne sont pas autorisés à utiliser fcrontab et fcrondyn (même format que le fichier précédent).

/usr/local/etc/pam.d/fcron (ou /usr/local/etc/pam.conf)
    Fichier de configuration PAM pour fcron. Voir pam(8) pour plus de détails.

VOIR AUSSI
fcrontab(1), fcrondyn(1), fcrontab(5), fcron.conf(5), fcron(8). Si vous êtes en train d'apprendre à utiliser fcron, je vous suggère plutôt de lire la version HTML de la documentation (si ce n'est pas déjà ce que vous faites en ce moment ! :) ) : le contenu est le même, mais il est plus aisé de naviguer grâce aux hyperliens.

AUTEUR

Thibault Godouet <fcron@free.fr>

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 6 février 2006

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 1 fcrondyn ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.